Summary: Efficiently mirror directory trees, secure shell and socket forwarding
Name: mirrordir
Icon: hd.gif
Version: 0.10.49
Release: 1
Copyright: GPL
Group: Utilities/File
Distribution: Red Hat Contrib|Net
Packager: Red Hat Contrib|Net <rhcn-bugs@redhat.com>
Source: ftp://ftp.obsidian.co.za/pub/mirrordir/mirrordir-0.10.49.tar.gz

%description
NB:  US versions contain no built-in cryptography -- they download
encryption scripts from outside of the US -- and are therefore not
in violation of US export regulations.
PSLOGIN does secure logins over tcp/ip using diffie-hellman key
exchanges, and strong stream cypher encryption. It can be used as an
alternative to ssh.
FORWARD forwards arbitrary TCP sockets over a secure channel to create
secure services from ordinary ones.
MIRRORDIR mirrors a directory tree in every detail, including devices,
ownerships, permissions, symlinks, hardlinks and access times, suitable
for timed backups of disk drives. The minimal set of changes needed to
make the original directory tree identical to the backup directory tree
is executed. Can optionally create backup files before deleting, and
store multiple revisions through any number of levels. A scripting
language allows for custom excluding of special files. Works over ftp
and mcfs. Also implements its own secure sockets for transparent strong
encrypted file transfer, using a custom daemon.

%prep
%setup

%build
CFLAGS='-O3 -fomit-frame-pointer -s -Wall' ./configure --prefix=/usr
make

%install
make install-strip

%post

%files
%doc AUTHORS BUGS COPYING ChangeLog README THANKS TODO VERSION mirrordir.lsm
%config /etc/pam.d/secure-mcserv
%config /etc/secure-mcservusers
%dir /usr/etc/ssocket
%config /usr/etc/ssocket/connect.cs
%config /usr/etc/ssocket/accept.cs
%config /usr/etc/ssocket/arcinit.cs
%config /usr/etc/ssocket/arcencrypt.cs
/usr/bin/forward
/usr/bin/copydir
/usr/bin/mirrordir
/usr/bin/pslogin
/usr/bin/recursdir
/usr/bin/secure-mcserv
/usr/lib/libdiffie.so
/usr/lib/libdiffie.so.1
/usr/lib/libdiffie.so.1.0.0
/usr/lib/libmirrordirz.so
/usr/lib/libmirrordirz.so.1
/usr/lib/libmirrordirz.so.1.0.0
/usr/man/man1/forward.1
/usr/man/man1/copydir.1
/usr/man/man1/mirrordir.1
/usr/man/man1/pslogin.1
/usr/man/man1/recursdir.1
/usr/man/man1/secure-mcserv.1
